Page MenuHomePhabricator

labtestn to Mitaka on Jessie
Closed, ResolvedPublic

Description

There exists a stubborn but possible N+1 path for OpenStack moving from Trust(liberty)=>Trusty/Jessie(Mitaka)->Stretch(Newton).

T169099: Locate an alternative source for modern Openstack Debian packages

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 418914 merged by Rush:
[operations/puppet@production] openstack: labtestn comment out base::firewall for now

https://gerrit.wikimedia.org/r/418914

Change 418945 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: nova-compute on mitaka and jessie changes

https://gerrit.wikimedia.org/r/418945

Change 418945 merged by Rush:
[operations/puppet@production] openstack: nova-compute on mitaka and jessie changes

https://gerrit.wikimedia.org/r/418945

Change 418957 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: set certname libvirt group

https://gerrit.wikimedia.org/r/418957

Change 418957 merged by Rush:
[operations/puppet@production] openstack: set certname libvirt group

https://gerrit.wikimedia.org/r/418957

Change 418989 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: dealing with libvirt differences trusty vs jessie

https://gerrit.wikimedia.org/r/418989

Change 418989 merged by Rush:
[operations/puppet@production] openstack: dealing with libvirt differences trusty vs jessie

https://gerrit.wikimedia.org/r/418989

Change 418991 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: nova::compute::audit change

https://gerrit.wikimedia.org/r/418991

Change 418991 abandoned by Rush:
openstack: nova::compute::audit change

Reason:
nah

https://gerrit.wikimedia.org/r/418991

Change 419016 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtestn neutron* host eth1.2120 ip

https://gerrit.wikimedia.org/r/419016

Change 419016 merged by Rush:
[operations/puppet@production] openstack: labtestn neutron* host eth1.2120 ip

https://gerrit.wikimedia.org/r/419016

Change 419018 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtestn/net role uncomment config

https://gerrit.wikimedia.org/r/419018

Change 419018 merged by Rush:
[operations/puppet@production] openstack: labtestn/net role uncomment config

https://gerrit.wikimedia.org/r/419018

Script wmf-auto-reimage was launched by rush on neodymium.eqiad.wmnet for hosts:

labtestneutron2001.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201803122130_rush_24836_labtestneutron2001_codfw_wmnet.log.

Script wmf-auto-reimage was launched by rush on neodymium.eqiad.wmnet for hosts:

labtestneutron2002.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201803122130_rush_25022_labtestneutron2002_codfw_wmnet.log.

Completed auto-reimage of hosts:

['labtestneutron2001.codfw.wmnet']

and were ALL successful.

Completed auto-reimage of hosts:

['labtestneutron2002.codfw.wmnet']

Of which those FAILED:

['labtestneutron2002.codfw.wmnet']

Script wmf-auto-reimage was launched by rush on neodymium.eqiad.wmnet for hosts:

labtestneutron2002.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201803131237_rush_22331_labtestneutron2002_codfw_wmnet.log.

Completed auto-reimage of hosts:

['labtestneutron2002.codfw.wmnet']

Of which those FAILED:

['labtestneutron2002.codfw.wmnet']

Script wmf-auto-reimage was launched by rush on neodymium.eqiad.wmnet for hosts:

labtestneutron2002.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201803131239_rush_22592_labtestneutron2002_codfw_wmnet.log.

Completed auto-reimage of hosts:

['labtestneutron2002.codfw.wmnet']

and were ALL successful.

Change 419198 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtestn initial neutron framework

https://gerrit.wikimedia.org/r/419198

Change 417310 merged by Rush:
[operations/puppet@production] openstack: rabbit codify nova user

https://gerrit.wikimedia.org/r/417310

Change 419198 merged by Rush:
[operations/puppet@production] openstack: labtestn initial neutron framework

https://gerrit.wikimedia.org/r/419198

Change 419258 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtestmetal partmon raid1 recipe

https://gerrit.wikimedia.org/r/419258

Change 419258 abandoned by Rush:
openstack: labtestmetal partmon raid1 recipe

Reason:
arturo is going to take this on

https://gerrit.wikimedia.org/r/419258

Change 419424 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron initial components for labtestn

https://gerrit.wikimedia.org/r/419424

Change 419426 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtestn initial neutron components

https://gerrit.wikimedia.org/r/419426

Change 419424 abandoned by Rush:
openstack: neutron initial components for labtestn

Reason:
branch confusion

https://gerrit.wikimedia.org/r/419424

Change 419426 merged by Rush:
[operations/puppet@production] openstack: labtestn initial neutron components

https://gerrit.wikimedia.org/r/419426

Change 419593 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron file permissions adjustments

https://gerrit.wikimedia.org/r/419593

Change 419593 merged by Rush:
[operations/puppet@production] openstack: neutron file permissions adjustments

https://gerrit.wikimedia.org/r/419593

Change 419733 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: pass in relevant params for template fulfillment

https://gerrit.wikimedia.org/r/419733

Change 419733 merged by Rush:
[operations/puppet@production] openstack: pass in relevant params for template fulfillment

https://gerrit.wikimedia.org/r/419733

Change 419761 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: apply profile::openstack::labtestn::neutron::ml2

https://gerrit.wikimedia.org/r/419761

Change 419761 merged by Rush:
[operations/puppet@production] openstack: apply profile::openstack::labtestn::neutron::ml2

https://gerrit.wikimedia.org/r/419761

Change 419765 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: typo in template path for ml2

https://gerrit.wikimedia.org/r/419765

Change 419765 merged by Rush:
[operations/puppet@production] openstack: typo in template path for ml2

https://gerrit.wikimedia.org/r/419765

Change 419771 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: pass network_flat_interface to ml2 setup

https://gerrit.wikimedia.org/r/419771

Change 419771 merged by Rush:
[operations/puppet@production] openstack: pass network_flat_interface to ml2 setup

https://gerrit.wikimedia.org/r/419771

Change 419783 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: enable audit check for kernel versions

https://gerrit.wikimedia.org/r/419783

Change 419783 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: enable audit check for kernel versions

https://gerrit.wikimedia.org/r/419783

Change 419809 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: ml2 for neutron server require package

https://gerrit.wikimedia.org/r/419809

Change 419809 merged by Rush:
[operations/puppet@production] openstack: ml2 for neutron server require package

https://gerrit.wikimedia.org/r/419809

Change 419833 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron change for agent registration

https://gerrit.wikimedia.org/r/419833

Change 419839 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] rabbitmq: setup monitor manifest user via rabbitmq::user

https://gerrit.wikimedia.org/r/419839

Change 419833 merged by Rush:
[operations/puppet@production] openstack: neutron change for agent registration

https://gerrit.wikimedia.org/r/419833

Change 419847 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron ml2 for labtestn virt

https://gerrit.wikimedia.org/r/419847

Change 419847 merged by Rush:
[operations/puppet@production] openstack: neutron ml2 for labtestn virt

https://gerrit.wikimedia.org/r/419847

Change 419871 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: glance bootstrapping with debian image

https://gerrit.wikimedia.org/r/419871

Change 420018 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron l3-agent sysctl settings

https://gerrit.wikimedia.org/r/420018

Change 420018 merged by Rush:
[operations/puppet@production] openstack: neutron l3-agent sysctl settings

https://gerrit.wikimedia.org/r/420018

Change 420060 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: backports setup initial run

https://gerrit.wikimedia.org/r/420060

Change 419871 merged by Rush:
[operations/puppet@production] openstack: glance bootstrapping with debian image

https://gerrit.wikimedia.org/r/419871

Change 420121 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: labtestn values for ml2 and linuxbridge setup

https://gerrit.wikimedia.org/r/420121

Change 420121 merged by Rush:
[operations/puppet@production] openstack: labtestn values for ml2 and linuxbridge setup

https://gerrit.wikimedia.org/r/420121

Change 420124 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: pass down network_flat_name variable

https://gerrit.wikimedia.org/r/420124

Change 420124 merged by Rush:
[operations/puppet@production] openstack: pass down network_flat_name variable

https://gerrit.wikimedia.org/r/420124

Change 420433 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: ml2 and linuxbridge_agent setup

https://gerrit.wikimedia.org/r/420433

Change 420433 merged by Rush:
[operations/puppet@production] openstack: ml2 and linuxbridge_agent setup

https://gerrit.wikimedia.org/r/420433

Change 421094 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: ml2 settings and allow disabling l3 agent

https://gerrit.wikimedia.org/r/421094

Change 421094 merged by Rush:
[operations/puppet@production] openstack: ml2 settings and allow disabling l3 agent

https://gerrit.wikimedia.org/r/421094

Change 421102 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: stop managing l3-agent external ip manually

https://gerrit.wikimedia.org/r/421102

Change 421102 merged by Rush:
[operations/puppet@production] openstack: stop managing l3-agent external ip manually

https://gerrit.wikimedia.org/r/421102

Change 422489 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: bootstrapping neutron l3 agent for floating ip

https://gerrit.wikimedia.org/r/422489

Change 422489 merged by Rush:
[operations/puppet@production] openstack: bootstrapping neutron l3 agent for floating ip

https://gerrit.wikimedia.org/r/422489

Change 422555 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: add manual bridges for linux bridge agent

https://gerrit.wikimedia.org/r/422555

Change 422555 merged by Rush:
[operations/puppet@production] openstack: add manual bridges for linux bridge agent

https://gerrit.wikimedia.org/r/422555

Change 423032 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] wip openstack: neutron router l3-agent HA

https://gerrit.wikimedia.org/r/423032

Change 423690 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: manage bridges and bridge mappings for l3 and compute

https://gerrit.wikimedia.org/r/423690

Change 423690 merged by Rush:
[operations/puppet@production] openstack: manage bridges and bridge mappings for l3 and compute

https://gerrit.wikimedia.org/r/423690

Change 423707 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: set ha as default mode for l3-agents

https://gerrit.wikimedia.org/r/423707

Change 423707 merged by Rush:
[operations/puppet@production] openstack: set ha as default mode for l3-agents

https://gerrit.wikimedia.org/r/423707

Change 424621 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: linux bridge agent physical mappings

https://gerrit.wikimedia.org/r/424621

Change 424621 merged by Rush:
[operations/puppet@production] openstack: linux bridge agent physical mappings

https://gerrit.wikimedia.org/r/424621

chasemp reassigned this task from chasemp to aborrero.Apr 9 2018, 12:54 PM
chasemp added a subscriber: aborrero.

@aborrero can you reimage labtestservices2002.wikimedia.org as jessie as part of this? There is a lot of work to be done but I think post that this can be closed.

@aborrero can you reimage labtestservices2002.wikimedia.org as jessie as part of this? There is a lot of work to be done but I think post that this can be closed.

Sure.

Script wmf-auto-reimage was launched by aborrero on neodymium.eqiad.wmnet for hosts:

['labtestservices2002.wikimedia.org']

The log can be found in /var/log/wmf-auto-reimage/201804101045_aborrero_972.log.

Mentioned in SAL (#wikimedia-operations) [2018-04-10T10:47:17Z] <arturo> T188266 reimage labtestservices2002.wikimedia.org

Completed auto-reimage of hosts:

['labtestservices2002.wikimedia.org']

and were ALL successful.

Change 425262 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: when applicable setup bridge interface

https://gerrit.wikimedia.org/r/425262

Change 425262 merged by Rush:
[operations/puppet@production] openstack: when applicable setup bridge interface

https://gerrit.wikimedia.org/r/425262

Change 425266 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: neutron adjust spacing for bridge resource

https://gerrit.wikimedia.org/r/425266

Change 425266 merged by Rush:
[operations/puppet@production] openstack: neutron adjust spacing for bridge resource

https://gerrit.wikimedia.org/r/425266

Change 423032 abandoned by Rush:
openstack: neutron router l3-agent HA

Reason:
I broke this up into multiple changesets

https://gerrit.wikimedia.org/r/423032

Change 425418 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: apt proxy allowance for instances

https://gerrit.wikimedia.org/r/425418

Change 425418 merged by Rush:
[operations/puppet@production] openstack: apt proxy allowance for instances

https://gerrit.wikimedia.org/r/425418

Change 425713 had a related patch set uploaded (by Rush; owner: cpettet):
[operations/puppet@production] openstack: add bootstrap instructions for provider created vxlan

https://gerrit.wikimedia.org/r/425713

Change 425713 merged by Rush:
[operations/puppet@production] openstack: add bootstrap instructions for provider created vxlan

https://gerrit.wikimedia.org/r/425713

chasemp closed this task as Resolved.Apr 27 2018, 6:24 PM
labtestcontrol2003.wikimedia.org
Debian GNU/Linux 8 \n \l

labtestneutron2001.codfw.wmnet
Debian GNU/Linux 8 \n \l

labtestneutron2002.codfw.wmnet
Debian GNU/Linux 8 \n \l

labtestservices2002.wikimedia.org
Debian GNU/Linux 8 \n \l

labtestservices2003.wikimedia.org
Debian GNU/Linux 8 \n \l

labtestvirt2003.codfw.wmnet
Debian GNU/Linux 8 \n \l

labtestmetal2001.codfw.wmnet
Debian GNU/Linux 8 \n \l

Change 420060 abandoned by Rush:
openstack: backports setup initial run

Reason:
arturo is working on a better model

https://gerrit.wikimedia.org/r/420060